Name:           uftrace
Version:        0.7
Release:        2%{?dist}
Summary:        User-space function call tracer for C and C++ programs

License:        GPLv2
URL:            https://github.com/namhyung/uftrace
Source0:        https://github.com/namhyung/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

ExclusiveArch:  %{arm} x86_64
BuildRequires:  elfutils-libelf-devel
%if 0%{?rhel}
BuildRequires:  python
%else
BuildRequires:  python2
%endif
BuildRequires:  pandoc

%description
The %{name} tool is used to trace and analyze the execution of a program
written in C or C++. It was heavily inspired by the ftrace framework of the
Linux kernel (especially function graph tracer) but for user-space programs. It
supports various kinds of commands and filters to help in the analysis of
program execution and performance.

%prep
%autosetup

%build
%configure --libdir=%{_libdir}/%{name}
%make_build V=1

%check
make test

%install
%make_install

%files
%{_bindir}/uftrace
%{_libdir}/%{name}/libmcount*.so
%{_mandir}/man1/uftrace*.1*
%{_sysconfdir}/bash_completion.d/uftrace
%license COPYING
%doc README.md

%changelog
* Thu Jan 11 2018 Alexander Bokovoy <abokovoy@redhat.com> - 0.7-2
- Make sure python 2.7 is in the build root for both Fedora and EPEL

* Wed Jun 28 2017 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.7-1
- New upstream release
- Use %configure macro
- Do a verbose build

* Sat Mar 25 2017 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6.2-1
- New upstream release

* Fri Mar 3 2017 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6.1-2
- Add %check section

* Wed Mar 1 2017 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6.1-1
- New upstream release, bash-completion

* Mon Dec 26 2016 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6-4
- Put .so files in sub-directory, cut down build archs (#1398922)

* Wed Dec 14 2016 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6-3
- Honor CFLAGS/LDFLAGS and minor adjustments (#1398922)

* Mon Nov 28 2016 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6-2
- Add README.md and other fixes (#1398922)

* Fri Nov 25 2016 Benjamin Kircher <benjamin.kircher@gmail.com> - 0.6-1
- Initial spec
